Add .travis.yml file and missing test
authorRafał Długołęcki <rafal@dlugolecki.net.pl>
Tue, 14 Jun 2016 22:19:49 +0000 (00:19 +0200)
committerRafał Długołęcki <rafal@dlugolecki.net.pl>
Tue, 14 Jun 2016 22:49:23 +0000 (00:49 +0200)
.travis.yml [new file with mode: 0644]
tests/command/understand_void_option.test [new file with mode: 0755]

diff --git a/.travis.yml b/.travis.yml
new file mode 100644 (file)
index 0000000..1740c99
--- /dev/null
@@ -0,0 +1,4 @@
+compiler:
+  - clang++
+language: cpp
+script: ./autogen.sh && ./configure && make && make check
diff --git a/tests/command/understand_void_option.test b/tests/command/understand_void_option.test
new file mode 100755 (executable)
index 0000000..36fc4d2
--- /dev/null
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+TEST_VOID=$($srcdir/command/option_test_command void)
+
+if [ "$TEST_VOID" = "VOID" ]; then
+    return 0;
+fi
+
+echo "Command should understand Option<void> (switch). Expecting output: 'VOID', got: '$TEST_VOID'. Program exited with $? code."
+return 1;